var fonts = {
    Roboto: {
        normal: 'utils/fonts/Roboto-Regular.ttf',
        bold: 'utils/fonts/Roboto-Medium.ttf',
        italics: 'utils/fonts/Roboto-Italic.ttf',
        bolditalics: 'utils/fonts/Roboto-MediumItalic.ttf'
    }
};

var fs = require('fs')

const pdfMakePrinter = require('pdfmake/src/printer');
const pdf_template = require('./pdf_template');


function generatePDF(directory, map_data, pdf_data, filename, ) {
    const printer = new pdfMakePrinter(fonts);
    const doc = printer.createPdfKitDocument(pdf_template.fillup(map_data, pdf_data));

    fs.mkdir(directory, { recursive: true }, err => {
        if (err) reject(err)
        doc.pipe(
            fs.createWriteStream(`${directory}/${filename || Date.now()}.pdf`)
                .on("error", (error) => {
                    console.error(`createWriteStream err: ${error}`);
                    reject(error);
                })
        );
    })
    doc.on('end', () => {
        console.log("PDF successfully created and stored");
        resolve({ path: `${directory}/${filename || Date.now()}.pdf` });
    });

    doc.end();
}

module.exports = { generatePDF }